Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056604 - timer service running too frequently
Summary: timer service running too frequently
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 14:47 UTC by Ales Kozumplik
Modified: 2015-06-29 14:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:39:42 UTC


Attachments (Terms of Use)

Description Ales Kozumplik 2014-01-22 14:47:35 UTC
I'm seeing my timer service run a lot more frequnetly then I'd expect, 
just notice the times and process numbers around 8:29 below.

I count 3 different processes spawned by systemd at that time.

the timer config is:

[Timer]
OnBootSec=10min
OnUnitInactiveSec=1h
Unit=dnf-makecache.service
and it's not even an hour after the previous run

the log:

Jan 22 07:57:35 localhost.localdomain dnf[5581]: Config time: 0.005
Jan 22 07:57:35 localhost.localdomain dnf[5581]: cachedir: /var/cache/dnf/x86_64/20
Jan 22 07:57:36 localhost.localdomain dnf[5581]: Loaded plugins: download, kickstart, ghost, noroot
Jan 22 07:57:36 localhost.localdomain dnf[5581]: Ghost plugin: loaded (with CLI)
Jan 22 07:57:36 localhost.localdomain dnf[5581]: initialized Noroot plugin
Jan 22 07:57:36 localhost.localdomain dnf[5581]: dnf version: 0.4.11
Jan 22 07:57:36 localhost.localdomain dnf[5581]: Ghost plugin: config
Jan 22 07:57:36 localhost.localdomain dnf[5581]: Making cache files for all metadata files.
Jan 22 07:57:36 localhost.localdomain dnf[5581]: Metadata cache refreshed recently.
Jan 22 08:28:59 localhost.localdomain dnf[6642]: Config time: 0.010
Jan 22 08:28:59 localhost.localdomain dnf[6642]: cachedir: /var/cache/dnf/x86_64/20
Jan 22 08:28:59 localhost.localdomain dnf[6642]: Loaded plugins: download, kickstart, ghost, noroot
Jan 22 08:28:59 localhost.localdomain dnf[6642]: Ghost plugin: loaded (with CLI)
Jan 22 08:28:59 localhost.localdomain dnf[6642]: initialized Noroot plugin
Jan 22 08:28:59 localhost.localdomain dnf[6642]: dnf version: 0.4.11
Jan 22 08:28:59 localhost.localdomain dnf[6642]: Ghost plugin: config
Jan 22 08:28:59 localhost.localdomain dnf[6642]: Making cache files for all metadata files.
Jan 22 08:28:59 localhost.localdomain dnf[6642]: Metadata cache refreshed recently.
Jan 22 08:29:02 localhost.localdomain dnf[7355]: Config time: 0.005
Jan 22 08:29:02 localhost.localdomain dnf[7355]: cachedir: /var/cache/dnf/x86_64/20
Jan 22 08:29:03 localhost.localdomain dnf[7355]: Loaded plugins: download, kickstart, ghost, noroot
Jan 22 08:29:03 localhost.localdomain dnf[7355]: Ghost plugin: loaded (with CLI)
Jan 22 08:29:03 localhost.localdomain dnf[7355]: initialized Noroot plugin
Jan 22 08:29:03 localhost.localdomain dnf[7355]: dnf version: 0.4.11
Jan 22 08:29:03 localhost.localdomain dnf[7355]: Ghost plugin: config
Jan 22 08:29:03 localhost.localdomain dnf[7355]: Making cache files for all metadata files.
Jan 22 08:29:03 localhost.localdomain dnf[7355]: Metadata cache refreshed recently.
Jan 22 08:29:03 localhost.localdomain dnf[7405]: Config time: 0.005
Jan 22 08:29:03 localhost.localdomain dnf[7405]: cachedir: /var/cache/dnf/x86_64/20
Jan 22 08:29:03 localhost.localdomain dnf[7405]: Loaded plugins: download, kickstart, ghost, noroot
Jan 22 08:29:03 localhost.localdomain dnf[7405]: Ghost plugin: loaded (with CLI)
Jan 22 08:29:03 localhost.localdomain dnf[7405]: initialized Noroot plugin
Jan 22 08:29:03 localhost.localdomain dnf[7405]: dnf version: 0.4.11
Jan 22 08:29:03 localhost.localdomain dnf[7405]: Ghost plugin: config
Jan 22 08:29:03 localhost.localdomain dnf[7405]: Making cache files for all metadata files.
Jan 22 08:29:03 localhost.localdomain dnf[7405]: Metadata cache refreshed recently.
Jan 22 09:29:04 localhost.localdomain dnf[9450]: BDB2053 Freeing read locks for locker 0x47: 9039/139635839764288

Comment 2 Fedora End Of Life 2015-05-29 10:37:14 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:39:42 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.